#ifndef _PIN_MUX_H_
#define _PIN_MUX_H_

#include "pins_driver.h"

/***********************************************************************************************************************
 * Definitions
 **********************************************************************************************************************/

/*!
 * @addtogroup pin_mux
 * @{
 */

/***********************************************************************************************************************
 * API
 **********************************************************************************************************************/

#if defined(__cplusplus)
extern "C" {
#endif


/*! @brief Definitions/Declarations for BOARD_InitPins Functional Group */
/*! @brief User definition pins */
#define OUT_BL_EN_PORT    PTE
#define OUT_BL_EN_PIN     8U
#define IN_BL_ERR_PORT    PTB
#define IN_BL_ERR_PIN     5U
#define IN_LVDS_UNLOCK_PORT    PTB
#define IN_LVDS_UNLOCK_PIN     4U
#define ADC_BLU_NTC_PORT    PTC
#define ADC_BLU_NTC_PIN     3U
#define ADC_VBAT_PORT    PTC
#define ADC_VBAT_PIN     2U
#define OUT_LVDS_PDB_PORT    PTD
#define OUT_LVDS_PDB_PIN     5U
#define ADC_MCU_NTC_PORT    PTC
#define ADC_MCU_NTC_PIN     1U
#define OUT_PON_HOLD_PORT    PTC
#define OUT_PON_HOLD_PIN     16U
#define OUT_TFT_BIST_PORT    PTC
#define OUT_TFT_BIST_PIN     14U
#define OUT_TFT_SYBYB_PORT    PTB
#define OUT_TFT_SYBYB_PIN     3U
#define OUT_TFT_DISP_PORT    PTB
#define OUT_TFT_DISP_PIN     2U
#define UART_DEBUG_TX_PORT    PTB
#define UART_DEBUG_TX_PIN     1U
#define UART_DEBUG_RX_PORT    PTB
#define UART_DEBUG_RX_PIN     0U
#define OUT_TFT_SHLR_PORT    PTC
#define OUT_TFT_SHLR_PIN     9U
#define OUT_TFT_RST_PORT    PTC
#define OUT_TFT_RST_PIN     8U
#define IN_TFT_ERR_PORT    PTA
#define IN_TFT_ERR_PIN     7U
#define OUT_TP_RST_PORT    PTB
#define OUT_TP_RST_PIN     13U
#define IN_LDO_1V2_PG_PORT    PTD
#define IN_LDO_1V2_PG_PIN     3U
#define MCU_SCL0_PORT    PTA
#define MCU_SCL0_PIN     3U
#define MCU_SDA0_PORT    PTA
#define MCU_SDA0_PIN     2U
#define IN_SW_3V3_PG_PORT    PTA
#define IN_SW_3V3_PG_PIN     0U
#define OUT_3V3_TFT_EN_PORT    PTC
#define OUT_3V3_TFT_EN_PIN     7U
#define OUT_PMIC_EN_PORT    PTC
#define OUT_PMIC_EN_PIN     6U
#define IN_PMIC_FLTB_PORT    PTA
#define IN_PMIC_FLTB_PIN     13U
#define MCU_SDA1_PORT    PTA
#define MCU_SDA1_PIN     10U
#define MCU_SCL1_PORT    PTA
#define MCU_SCL1_PIN     11U
#define OUT_MCU_INT_PORT    PTD
#define OUT_MCU_INT_PIN     1U
#define OUT_LDO_1V2_EN_PORT    PTD
#define OUT_LDO_1V2_EN_PIN     0U
#define IN_WAKEUP_PORT    PTC
#define IN_WAKEUP_PIN     15U
#define OUT_BL_PWM_PORT    PTE
#define OUT_BL_PWM_PIN     9U
/*! @brief User number of configured pins */
#define NUM_OF_CONFIGURED_PINS0 30
/*! @brief User configuration structure */
extern pin_settings_config_t g_pin_mux_InitConfigArr0[NUM_OF_CONFIGURED_PINS0];


#if defined(__cplusplus)
}
#endif

/*!
 * @}
 */
#endif /* _PIN_MUX_H_ */

/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/

